function onTalk()
	makeUnskippable()
	disableMovement()
	walkTo(8225)
	player.Facing = getEnum("Celeste.Facings", "Right")
	coroutine.yield(engine.Scene:ZoomTo(vector2(230, 100), 1.5, 1))
	say("Badeline_debug_hello")
	choiceDialog({
		{"Special_thanks_badeline",
			repeatable = true
		},
		{
			"Badeline_debug_huhwhatBadeline",
			repeatable = true
		},
		{
			"Badeline_debug_completeArea",
			onChosen = function()
				repeatable = true
				say("Badeline_debug_completeArea_say")
				wait()
				completeArea()
			end
		},
		{
			"Badeline_debug_bugReport",
			repeatable = true
		},
		{
			"Badeline_debug_putMeInTheCredits",
			repeatable = true
		},
		{
			"Badeline_debug_nevermind",
			onChosen = function()
				repeatable = true
				closeChoiceDialog()
			end
		}
	})
	coroutine.yield(engine.Scene:ZoomBack(1))
end

function onEnd(room, wasSkipped)
	closeChoiceDialog()
	engine.Scene:ResetZoom()
	enableMovement()
end
